%define upstream_name Dist-Zilla-Plugin-MakeMaker-Fallback
%define upstream_version 0.030

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Generate a Makefile.PL containing a warning for legacy users
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Dist::Zilla::Plugin::MakeMaker::Awesome) >= 0.470.0
BuildRequires: perl(Dist::Zilla::Plugin::ModuleBuildTiny)
BuildRequires: perl(Dist::Zilla::Role::AfterBuild)
BuildRequires: perl(Dist::Zilla::Role::InstallTool)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Moose)
BuildRequires: perl(Path::Tiny) >= 0.62.0
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Needs)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(if)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Generate a Makefile.PL containing a warning for legacy users.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.30.0-3.mga8
+ Revision: 1504051
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.30.0-2.mga7
+ Revision: 1283024
- Mageia 7 Mass Rebuild

* Mon Sep 17 2018 tv <tv> 0.30.0-1.mga7
+ Revision: 1259360
- update to 0.030

* Sat Aug 25 2018 tv <tv> 0.29.0-1.mga7
+ Revision: 1254315
- update to 0.029

* Fri Aug 17 2018 tv <tv> 0.28.0-1.mga7
+ Revision: 1252207
- update to 0.028

* Tue Jun 19 2018 tv <tv> 0.27.0-1.mga7
+ Revision: 1237994
- update to 0.027

* Tue Dec 12 2017 tv <tv> 0.26.0-1.mga7
+ Revision: 1182391
- update to 0.026

* Mon Oct 09 2017 tv <tv> 0.25.0-1.mga7
+ Revision: 1170531
- update to 0.025

* Wed Oct 04 2017 tv <tv> 0.24.0-1.mga7
+ Revision: 1168368
- update to 0.024

* Fri Jul 21 2017 sander85 <sander85> 0.23.0-1.mga7
+ Revision: 1125938
- update to 0.023

* Sun Jun 19 2016 pterjan <pterjan> 0.22.0-2.mga6
+ Revision: 1026297
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 0.22.0-1.mga6
+ Revision: 1007576
- update to 0.022

* Fri Feb 19 2016 umeabot <umeabot> 0.21.0-2.mga6
+ Revision: 970003
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 0.21.0-1.mga6
+ Revision: 884542
- update to 0.021

* Sun Aug 23 2015 sander85 <sander85> 0.20.0-1.mga6
+ Revision: 868429
- update to 0.020

* Mon Jul 27 2015 sander85 <sander85> 0.19.0-1.mga6
+ Revision: 858237
- update to 0.019

* Sun Jun 28 2015 sander85 <sander85> 0.17.0-1.mga6
+ Revision: 846867
- imported package perl-Dist-Zilla-Plugin-MakeMaker-Fallback

